Subject: Re: [PATCH v3 02/15] xdiff: introduce rust

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Aug 2025 13:22:34 -0700

Taylor Blau <[email-masked]> writes:

> (As an aside, I mentioned in my earlier email to Randall that I have a
> suspicion that Rust code will have fewer security issues than C code,
> and so the likelihood of needing to backport a security fix from Rust to
> C seems lower to me than having to simply patch old C code. Time will
> tell, I guess.)

Just like back when scripted Porcelains were rewritten in C, in 5
years, when a lot of the existing C code is rewritten, who among us
would care to backport or "simply patch" old C code?

This of course assumes that these platforms that lack Rust still
lack Rust after 5 years, yet still matters to the users, and the
vendor does not care to support Git themselves.  Maybe one of these
three conditions would change and make the problem go away ;-)